<template>
  <div class="group">
    <g-link
      :to="site.routes[routeId]"
      :aria-label="`Enlace al servicio de ${label}`"
      class="reset"
    >
      <framed-item
        class="w-80 shadow-xl sm:w-80 md:w-100 lg:w-80"
        :style="{ '--frame-n': 9, '--frame-d': 24 }"
      >
        <g-image
          :src="itemImage.image"
          :alt="itemImage.description"
          class="lg:fx-colorize"
        />
      </framed-item>
      <span
        v-if="label"
        class="h4 font-normal block mt-6 text-center uppercase group-hover:font-medium"
      >
        {{ label }}
      </span>
    </g-link>
  </div>
</template>

<script>
import FramedItem from './FramedItem';

export default {
  name: 'ServiceItem',
  components: {
    FramedItem,
  },
  inject: ['site'],
  props: {
    itemImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
      required: true,
    },
    label: { type: String, default: undefined },
    routeId: { type: String, required: true },
  },
};
</script>
